/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.gamepad;

import org.fortiss.af3.platform.raspberry.model.gamepad.ButtonL2;

/** Executable for {@link ButtonL2}. */
public class ButtonL2GeneratorExtension extends ButtonGeneratorExtensionBase<ButtonL2> {
	/** Constructor. */
	public ButtonL2GeneratorExtension(ButtonL2 modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	protected String getButtonIdentifier() {
		return "GAMEPAD_BUTTON_L2";
	}
}
